Deployments.ai Docs
Security

Remove a federated identity link

DELETE /v1/identity-provider/links/{id} · SDK deleteIdentityProviderLink · CLI deployments identity-provider unlink

DELETE
/v1/identity-provider/links/{id}

Requires members:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Response Body

IdentityProviderLinkResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
email?string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
issuer*string
principalId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
subject*string
curl -X DELETE "https://example.com/v1/identity-provider/links/string" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string"
{  "createdAt": "2019-08-24T14:15:22Z",  "email": "string",  "id": "string",  "issuer": "string",  "principalId": "string",  "subject": "string"}